Event Series#
GET /api/event-series#
ListSeries
Response 200 — Request fulfilled, document follows
Model: array of EventSeriesSummary
Type: array of EventSeriesSummary
POST /api/event-series#
CreateSeries
Request body
Model: EventSeriesCreate
Field |
Type |
Required |
Description |
|---|---|---|---|
|
yes |
||
|
string |
yes |
|
|
string |
no |
|
|
integer | null |
no |
|
|
integer | null |
no |
|
|
string | null |
no |
|
|
array of integer |
yes |
|
|
integer |
no |
|
|
string |
yes |
|
|
string |
yes |
|
|
integer | null |
no |
|
|
string (date) |
yes |
|
|
string (date) | null |
no |
Response 201 — Document created, URL follows
Model: EventSeriesSummary
Field |
Type |
Required |
Description |
|---|---|---|---|
|
string (uuid) |
yes |
|
|
yes |
||
|
string |
yes |
|
|
string |
yes |
|
|
integer | null |
yes |
|
|
integer |
yes |
|
|
integer | null |
yes |
|
|
string | null |
yes |
|
|
yes |
||
|
boolean |
yes |
|
|
string (date-time) | null |
yes |
DELETE /api/event-series/{series_id}#
DeleteSeries
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
|
path |
string (uuid) |
yes |
Response 204 — Request fulfilled, nothing follows
PATCH /api/event-series/{series_id}#
UpdateSeries
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
|
path |
string (uuid) |
yes |
Request body
Model: EventSeriesUpdate
Field |
Type |
Required |
Description |
|---|---|---|---|
|
EventKind | null |
no |
|
|
string | null |
no |
|
|
string | null |
no |
|
|
integer | null |
no |
|
|
integer | null |
no |
|
|
string | null |
no |
|
|
array of integer | null |
no |
|
|
integer | null |
no |
|
|
string | null |
no |
|
|
string | null |
no |
|
|
integer | null |
no |
|
|
string (date) | null |
no |
|
|
string (date) | null |
no |
Response 200 — Request fulfilled, document follows
Model: EventSeriesSummary
Field |
Type |
Required |
Description |
|---|---|---|---|
|
string (uuid) |
yes |
|
|
yes |
||
|
string |
yes |
|
|
string |
yes |
|
|
integer | null |
yes |
|
|
integer |
yes |
|
|
integer | null |
yes |
|
|
string | null |
yes |
|
|
yes |
||
|
boolean |
yes |
|
|
string (date-time) | null |
yes |